# TYCamport3: TY_FRAME_DATA Struct Reference

TY_FRAME_DATA Struct Reference
Collaboration diagram for TY_FRAME_DATA:
[legend]

## Public Attributes

void * | userBuffer
| Pointer to user enqueued buffer, user should enqueue this buffer in the end of callback.
int32_t | bufferSize
| Size of userBuffer.
int32_t | validCount
| Number of valid data.
int32_t | reserved [6]
| Reserved: reserved[0],laser_val;.
TY_IMAGE_DATA | image [10]
| Buffer data, max to 10 images per frame, each buffer data could be an image or something else.

## Detailed Description

Definition at line 984 of file TYApi.h.

The documentation for this struct was generated from the following file:

- TYApi.h